DCMTK: DRTWedgeSequence::Item Class Reference

DCMTK Version 3.6.9 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Public Member Functions | Private Attributes | List of all members
DRTWedgeSequence::Item Class Reference

Item class. More...

Inheritance diagram for DRTWedgeSequence::Item:

## Public Member Functions
| Item (const OFBool emptyDefaultItem=OFFalse)
| (default) constructor
| Item (const Item &copy)
| copy constructor
virtual | ~Item ()
| destructor
Item & | operator= (const Item &copy)
| assignment operator
void | clear ()
| clear all internal member variables
OFBool | isEmpty ()
| check if item is empty
OFBool | isValid () const
| check if item is valid, i.e. not the empty default item
OFCondition | read (DcmItem &item)
| read elements from sequence item
OFCondition | write (DcmItem &item)
| write elements to sequence item
OFCondition | getAccessoryCode (OFString &value, const signed long pos=0) const
| get AccessoryCode (300a,00f9)
OFCondition | getEffectiveWedgeAngle (OFString &value, const signed long pos=0) const
| get EffectiveWedgeAngle (300a,00de)
OFCondition | getEffectiveWedgeAngle (Float64 &value, const unsigned long pos=0) const
| get EffectiveWedgeAngle (300a,00de)
OFCondition | getSourceToWedgeTrayDistance (OFString &value, const signed long pos=0) const
| get SourceToWedgeTrayDistance (300a,00da)
OFCondition | getSourceToWedgeTrayDistance (Float64 &value, const unsigned long pos=0) const
| get SourceToWedgeTrayDistance (300a,00da)
OFCondition | getWedgeAngle (OFString &value, const signed long pos=0) const
| get WedgeAngle (300a,00d5)
OFCondition | getWedgeAngle (Sint32 &value, const unsigned long pos=0) const
| get WedgeAngle (300a,00d5)
OFCondition | getWedgeFactor (OFString &value, const signed long pos=0) const
| get WedgeFactor (300a,00d6)
OFCondition | getWedgeFactor (Float64 &value, const unsigned long pos=0) const
| get WedgeFactor (300a,00d6)
OFCondition | getWedgeID (OFString &value, const signed long pos=0) const
| get WedgeID (300a,00d4)
OFCondition | getWedgeNumber (OFString &value, const signed long pos=0) const
| get WedgeNumber (300a,00d2)
OFCondition | getWedgeNumber (Sint32 &value, const unsigned long pos=0) const
| get WedgeNumber (300a,00d2)
OFCondition | getWedgeOrientation (OFString &value, const signed long pos=0) const
| get WedgeOrientation (300a,00d8)
OFCondition | getWedgeOrientation (Float64 &value, const unsigned long pos=0) const
| get WedgeOrientation (300a,00d8)
OFCondition | getWedgeType (OFString &value, const signed long pos=0) const
| get WedgeType (300a,00d3)
OFCondition | setAccessoryCode (const OFString &value, const OFBool check=OFTrue)
| set AccessoryCode (300a,00f9)
OFCondition | setEffectiveWedgeAngle (const OFString &value, const OFBool check=OFTrue)
| set EffectiveWedgeAngle (300a,00de)
OFCondition | setSourceToWedgeTrayDistance (const OFString &value, const OFBool check=OFTrue)
| set SourceToWedgeTrayDistance (300a,00da)
OFCondition | setWedgeAngle (const OFString &value, const OFBool check=OFTrue)
| set WedgeAngle (300a,00d5)
OFCondition | setWedgeFactor (const OFString &value, const OFBool check=OFTrue)
| set WedgeFactor (300a,00d6)
OFCondition | setWedgeID (const OFString &value, const OFBool check=OFTrue)
| set WedgeID (300a,00d4)
OFCondition | setWedgeNumber (const OFString &value, const OFBool check=OFTrue)
| set WedgeNumber (300a,00d2)
OFCondition | setWedgeOrientation (const OFString &value, const OFBool check=OFTrue)
| set WedgeOrientation (300a,00d8)
OFCondition | setWedgeType (const OFString &value, const OFBool check=OFTrue)
| set WedgeType (300a,00d3)

## Private Attributes
OFBool | EmptyDefaultItem
| internal flag used to mark the empty default item
DcmLongString | AccessoryCode
| AccessoryCode (300a,00f9) vr=LO, vm=1, type=3.
DcmDecimalString | EffectiveWedgeAngle
| EffectiveWedgeAngle (300a,00de) vr=DS, vm=1, type=3.
DcmDecimalString | SourceToWedgeTrayDistance
| SourceToWedgeTrayDistance (300a,00da) vr=DS, vm=1, type=3.
DcmIntegerString | WedgeAngle
| WedgeAngle (300a,00d5) vr=IS, vm=1, type=2.
DcmDecimalString | WedgeFactor
| WedgeFactor (300a,00d6) vr=DS, vm=1, type=2.
DcmShortString | WedgeID
| WedgeID (300a,00d4) vr=SH, vm=1, type=3.
DcmIntegerString | WedgeNumber
| WedgeNumber (300a,00d2) vr=IS, vm=1, type=1.
DcmDecimalString | WedgeOrientation
| WedgeOrientation (300a,00d8) vr=DS, vm=1, type=2.
DcmCodeString | WedgeType
| WedgeType (300a,00d3) vr=CS, vm=1, type=2.

## Additional Inherited Members
Protected Member Functions inherited from DRTTypes
virtual | ~DRTTypes ()
| destructor.
Static Protected Member Functions inherited from DRTTypes
static OFCondition | addElementToDataset (OFCondition &result, DcmItem &dataset, DcmElement *element, const OFString &vm, const OFString &type, const char *moduleName=NULL)
| add given element to the dataset.
static OFCondition | getElementFromDataset (DcmItem &dataset, DcmElement &element)
| get element from dataset
static OFCondition | getStringValueFromElement (const DcmElement &element, OFString &stringValue, const signed long pos=0)
| get string value from element
static OFCondition | getStringValueFromDataset (DcmItem &dataset, const DcmTagKey &tagKey, OFString &stringValue)
| get string value from dataset
static OFCondition | putStringValueToDataset (DcmItem &dataset, const DcmTag &tag, const OFString &stringValue, const OFBool allowEmpty=OFTrue)
| put string value to dataset
static OFBool | checkElementValue (DcmElement &element, const OFString &vm, const OFString &type, const OFCondition &searchCond=EC_Normal, const char *moduleName=NULL)
| check element value for correct value multiplicity and type
static OFCondition | getAndCheckElementFromDataset (DcmItem &dataset, DcmElement &element, const OFString &vm, const OFString &type, const char *moduleName=NULL)
| get element from dataset and check it for correct value multiplicity and type.
static OFCondition | getAndCheckStringValueFromDataset (DcmItem &dataset, const DcmTagKey &tagKey, OFString &stringValue, const OFString &vm, const OFString &type, const char *moduleName=NULL)
| get string value from dataset and check it for correct value multiplicity and type.

## Detailed Description

Item class.

## Constructor & Destructor Documentation

## ◆ Item() [1/2]

DRTWedgeSequence::Item::Item | ( | const OFBool | emptyDefaultItem = OFFalse | ) |

(default) constructor

Parameters

  emptyDefaultItem | flag used to mark the empty default item

Referenced by Item(), and operator=().

## ◆ Item() [2/2]

DRTWedgeSequence::Item::Item | ( | const Item & | copy | ) |

copy constructor

Parameters

  copy | item object to be copied

References Item().

## Member Function Documentation

## ◆ getAccessoryCode()

OFCondition DRTWedgeSequence::Item::getAccessoryCode | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get AccessoryCode (300a,00f9)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getEffectiveWedgeAngle() [1/2]

OFCondition DRTWedgeSequence::Item::getEffectiveWedgeAngle | ( | Float64 & | value,
|  | const unsigned long | pos = 0 ) const

get EffectiveWedgeAngle (300a,00de)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getEffectiveWedgeAngle() [2/2]

OFCondition DRTWedgeSequence::Item::getEffectiveWedgeAngle | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get EffectiveWedgeAngle (300a,00de)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getSourceToWedgeTrayDistance() [1/2]

OFCondition DRTWedgeSequence::Item::getSourceToWedgeTrayDistance | ( | Float64 & | value,
|  | const unsigned long | pos = 0 ) const

get SourceToWedgeTrayDistance (300a,00da)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getSourceToWedgeTrayDistance() [2/2]

OFCondition DRTWedgeSequence::Item::getSourceToWedgeTrayDistance | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get SourceToWedgeTrayDistance (300a,00da)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getWedgeAngle() [1/2]

OFCondition DRTWedgeSequence::Item::getWedgeAngle | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get WedgeAngle (300a,00d5)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getWedgeAngle() [2/2]

OFCondition DRTWedgeSequence::Item::getWedgeAngle | ( | Sint32 & | value,
|  | const unsigned long | pos = 0 ) const

get WedgeAngle (300a,00d5)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getWedgeFactor() [1/2]

OFCondition DRTWedgeSequence::Item::getWedgeFactor | ( | Float64 & | value,
|  | const unsigned long | pos = 0 ) const

get WedgeFactor (300a,00d6)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getWedgeFactor() [2/2]

OFCondition DRTWedgeSequence::Item::getWedgeFactor | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get WedgeFactor (300a,00d6)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getWedgeID()

OFCondition DRTWedgeSequence::Item::getWedgeID | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get WedgeID (300a,00d4)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getWedgeNumber() [1/2]

OFCondition DRTWedgeSequence::Item::getWedgeNumber | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get WedgeNumber (300a,00d2)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getWedgeNumber() [2/2]

OFCondition DRTWedgeSequence::Item::getWedgeNumber | ( | Sint32 & | value,
|  | const unsigned long | pos = 0 ) const

get WedgeNumber (300a,00d2)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getWedgeOrientation() [1/2]

OFCondition DRTWedgeSequence::Item::getWedgeOrientation | ( | Float64 & | value,
|  | const unsigned long | pos = 0 ) const

get WedgeOrientation (300a,00d8)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getWedgeOrientation() [2/2]

OFCondition DRTWedgeSequence::Item::getWedgeOrientation | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get WedgeOrientation (300a,00d8)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getWedgeType()

OFCondition DRTWedgeSequence::Item::getWedgeType | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get WedgeType (300a,00d3)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ isEmpty()

OFBool DRTWedgeSequence::Item::isEmpty | ( |  | ) |

check if item is empty

Returns
  OFTrue if item is empty, OFFalse otherwise

## ◆ isValid()

OFBool DRTWedgeSequence::Item::isValid | ( |  | ) | const

check if item is valid, i.e. not the empty default item

Returns
  OFTrue if item is valid, OFFalse otherwise

## ◆ operator=()

Item & DRTWedgeSequence::Item::operator= | ( | const Item & | copy | ) |

assignment operator

Parameters

  copy | item object to be copied

Returns
  reference to this object

References Item().

## ◆ read()

OFCondition DRTWedgeSequence::Item::read | ( | DcmItem & | item | ) |

read elements from sequence item

Parameters

  item | reference to DICOM sequence item from which the elements should be read

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setAccessoryCode()

OFCondition DRTWedgeSequence::Item::setAccessoryCode | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set AccessoryCode (300a,00f9)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (LO) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setEffectiveWedgeAngle()

OFCondition DRTWedgeSequence::Item::setEffectiveWedgeAngle | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set EffectiveWedgeAngle (300a,00de)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (DS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setSourceToWedgeTrayDistance()

OFCondition DRTWedgeSequence::Item::setSourceToWedgeTrayDistance | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set SourceToWedgeTrayDistance (300a,00da)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (DS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setWedgeAngle()

OFCondition DRTWedgeSequence::Item::setWedgeAngle | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set WedgeAngle (300a,00d5)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (IS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setWedgeFactor()

OFCondition DRTWedgeSequence::Item::setWedgeFactor | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set WedgeFactor (300a,00d6)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (DS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setWedgeID()

OFCondition DRTWedgeSequence::Item::setWedgeID | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set WedgeID (300a,00d4)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (SH) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setWedgeNumber()

OFCondition DRTWedgeSequence::Item::setWedgeNumber | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set WedgeNumber (300a,00d2)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (IS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setWedgeOrientation()

OFCondition DRTWedgeSequence::Item::setWedgeOrientation | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set WedgeOrientation (300a,00d8)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (DS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setWedgeType()

OFCondition DRTWedgeSequence::Item::setWedgeType | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set WedgeType (300a,00d3)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (CS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ write()

OFCondition DRTWedgeSequence::Item::write | ( | DcmItem & | item | ) |

write elements to sequence item

Parameters

  item | reference to DICOM sequence item to which the elements should be written

Returns
  status, EC_Normal if successful, an error code otherwise

The documentation for this class was generated from the following file:

- dcmrt/include/dcmtk/dcmrt/seq/drtws.h

Generated on Sat Mar 1 2025 for DCMTK Version 3.6.9 by Doxygen 1.13.2